Skip to content

Jobs

Everything about jobs

Retrieve job status

Request

Retrieve the status of job execution.

resource_id and resource_url are returned only once status is success. While the job is pending or failed both keys are left out of the response rather than returned as null.

Requires the read_jobs OAuth scope.

Security
bearerAuth
Path
job_idstringrequired

The unique identifier for the job which is given by Intercom

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  'https://api.intercom.io/jobs/status/{job_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

Job execution status

Bodyapplication/json
typestring

The type of the object

Value:"job"
idstringrequired

The id of the job that's currently being processed or has completed.

Example:"20"
urlstring

API endpoint URL to check the job status.

Example:"https://api.intercom.io/jobs/status/20"
statusstring

The status of the job execution.

Enum:"pending""success""failed"
resource_typestring

The type of resource created during job execution.

Example:"ticket"
resource_idstring or null

The id of the resource created during job execution (e.g. ticket id). Only set once the job has succeeded.

Example:"123"
resource_urlstring or null

The url of the resource created during job execution. Use this url to fetch the resource. Only set once the job has succeeded.

Example:"https://api.intercom.io/tickets/123"
Response
{ "type": "job", "id": "2", "url": "https://api.intercom.io/jobs/status/2", "status": "success", "resource_type": "ticket", "resource_id": "20", "resource_url": "https://api.intercom.io/tickets/20" }